﻿using Microsoft.Phone.Controls;
using System.Collections.ObjectModel;
using System.Windows.Controls;
using Microsoft.Phone.Shell;
using System;

namespace DemoNavigation
{
    public partial class NavigationState : PhoneApplicationPage
    {
        private ObservableCollection<Article> articles;

        public NavigationState()
        {
            InitializeComponent();

            articles = new ObservableCollection<Article>();
            foreach (Article article in Model.GetArticles())
            {
                articles.Add(article);
            }

            listBox.ItemsSource = articles;
        }

        private void listBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            Article currentArticle = (Article)listBox.SelectedItem;
            PhoneApplicationService.Current.State["Article"] = currentArticle;
            NavigationService.Navigate(new Uri("/ArticleView.xaml", UriKind.Relative));
        }
    }
}